pycatia.hybrid_shape_interfaces.hybrid_shape_intersection

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-07-06 14:02:20.222384

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.hybrid_shape_interfaces.hybrid_shape_intersection.HybridShapeIntersection(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
MecModInterfaces.HybridShape
HybridShapeIntersection

Represents the hybrid shape intersection feature object.
Role: To access the data of the hybrid shape intersection object. This data
includes:

The first element to intersect
The second element to intersect

Use the CATIAHybridShapeFactory to create HybridShapeFeature
object.

See also:
HybridShapeFactory
property element1: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Element1() As Reference

Returns or sets the first element to intersect.
Sub-element(s) supported (see Boundary object): Face, TriDimFeatEdge or
BiDimFeatEdge.

Example:
This example retrieves in FirstElem the first element to intersect for
the Intersection hybrid shape feature.

Dim FirstElem As Reference
Set FirstElem = Intersection.Element1
Return type:

Reference

property element2: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Element2() As Reference

Returns or sets the second element to intersect.
Sub-element(s) supported (see Boundary object): Face, TriDimFeatEdge or
BiDimFeatEdge.

Example:
This example retrieves in SecondElem the second element to intersect
for the Intersection hybrid shape feature.

Dim SecondElem As Reference
Set SecondElem = Intersection.Element2
Return type:

Reference

property extend_mode: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property ExtendMode() As long

Returns or sets the ExtendMode flag for intersect.

Example:
This example retrieves in ExtendMode the ExtendMode to intersect for
the Intersection hybrid shape feature.

Dim ExtendMode As Reference
Set ExtendMode = Intersection.ExtendMode
ExtendMode is 0 when both “Extend Linear Supposr for intersection” are
unchecked
ExtendMode is 1 when “Extend Linear Supposr for intersection” for
First Element is checked and for Second Element is
unchecked
ExtendMode is 2 when “Extend Linear Supposr for intersection” for
First Element is unchecked and for Second Element is
checked
ExtendMode is 3 when both “Extend Linear Supposr for intersection” are
checked
Return type:

int

property extrapolate_mode: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property ExtrapolateMode() As boolean

Returns or sets the ExtrapolateMode flag for intersect.

Example:
This example retrieves in ExtrapolateMode the ExtrapolateMode to
intersect for the Intersection hybrid shape feature.

Dim ExtrapolateMode As Reference
Set ExtrapolateMode = Intersection.ExtrapolateMode
Return type:

bool

property intersect_mode: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property IntersectMode() As boolean

Returns or sets the IntersectMode flag for intersect.

Example:
This example retrieves in IntersectMode the IntersectMode to intersect
for the Intersection hybrid shape feature.

Dim IntersectMode As Reference
Set IntersectMode = Intersection.IntersectMode
Return type:

bool

property point_type: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property PointType() As long

Returns or sets the PointType flag for intersect.

Example:
This example retrieves in PointType the PointType to intersect for the
Intersection hybrid shape feature.

Dim PointType As Reference
Set PointType = Intersection.PointType
Return type:

int

property solid_mode: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SolidMode() As boolean

Returns or sets the SolidMode flag for intersect.

Example:
This example retrieves in SolidMode the SolidMode to intersect for the
Intersection hybrid shape feature.

Dim SolidMode As Reference
Set SolidMode = Intersection.SolidMode
Return type:

bool